> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extractions History - KG

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the KG extractions history as a list.

| **Method**        | GET                                                                                                                                                |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{{host}}/api/public/stream/{{streamId}}/qna/history?language=en`                                                                          |
| **Content Type**  | `application/json`                                                                                                                                 |
| **Authorization** | `auth: {{YOUR_JWT_ACCESS_TOKEN}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph                                                                         |

## Path Parameters

| **Parameter** | **Description**                                                    | **Required** |
| ------------- | ------------------------------------------------------------------ | ------------ |
| `host`        | The environment URL. For example, `https://platform.kore.ai`       | Required     |
| `streamId`    | The Stream ID found under **General Settings** on the App Builder. | Required     |

## Query Parameters

| **Parameter** | **Description**                                                     | **Required** |
| ------------- | ------------------------------------------------------------------- | ------------ |
| `language`    | Bot language code (for example, `en` for English, `de` for German). | Required     |

## Sample Request

```json theme={null}
curl -X GET \
  https://{{host}}/api/public/stream/{{streamId}}/qna/history?language=en \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "metaqnas": [
        {
            "_id": "ke-bxxxxxxb-bxx2-5xx8-bxx8-14xxxxxxxxxx",
            "editable": false,
            "status": "success",
            "isVisited": false,
            "fileId": "5e0xxxxxx8b",
            "name": "KG_QuestionExtraction",
            "extractionType": "faq",
            "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
            "createdBy": "u-xxxxx-xxx-xxx-xxx-xxxxx",
            "language": "en",
            "fileName": "KGCSVBotQuestionExtraction.csv",
            "createdOn": "2020-01-03T06:17:50.416Z",
            "modifiedOn": "2020-01-03T06:17:56.932Z",
            "__v": 0,
            "qnaAddedCount": 0,
            "qnaExtractedCount": 113,
            "qnaCount": 113
        }
    ]
}
```
